Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 145491 - Missing iep.samples in friend module list
Missing iep.samples in friend module list
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: Composite Application
6.x
All All
: P3 (vote)
: TBD
Assigned To: Yanbing Lu
issues@soa
61fixes4-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 22:00 UTC by Yanbing Lu
Modified: 2008-10-15 21:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch for compapp.projects.jbi/nbproject/project.xml based on changeset http://hg.netbeans.org/main/rev/f95199b2e3b4 (854 bytes, patch)
2008-09-22 14:10 UTC, rbalada
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yanbing Lu 2008-08-28 22:00:17 UTC
iep.samples use the API of compapp.projects.jbi. But iep.samples module
is not in the friend module list of compapp.projects.jbi.
Comment 1 Yanbing Lu 2008-09-08 23:27:26 UTC
Fixed for 6.5
Comment 2 rbalada 2008-09-09 07:47:09 UTC
Bing,

would you please provide changeset&repository IDs or attach a patch against release61/release61_fixes repository?
Comment 3 rbalada 2008-09-22 14:10:13 UTC
Created attachment 70210 [details]
Patch for compapp.projects.jbi/nbproject/project.xml based on changeset http://hg.netbeans.org/main/rev/f95199b2e3b4
Comment 4 rbalada 2008-09-22 14:12:48 UTC
I've imported the attached diff into release61_repository as http://hg.netbeans.org/release61_fixes/rev/11d8ce2f472f

The diff has been prepared as an excerpt of the original changeset http://hg.netbeans.org/main/rev/f95199b2e3b4
Comment 5 Yanbing Lu 2008-09-22 16:37:48 UTC
Verified
Comment 6 jlautz 2008-10-06 23:29:25 UTC
To verify this fix, we need to check that <netbeans_home>/soa2/modules/org-netbeans-modules-compapp-projects-jbi.jar
META-INF/MANIFEST.MF has org.netbeans.modules.iep.samples in its OpenIDE-Module-Friends list, as shown in the following
example:

OpenIDE-Module-Friends: org.netbeans.modules.aspect.project, org.netbe
 ans.modules.bpel.validation, org.netbeans.modules.bpel.project, org.n
 etbeans.modules.bpel.samples, org.netbeans.modules.iep.samples, org.n
 etbeans.modules.compapp.casaeditor, org.netbeans.modules.wlm.model, c
 om.sun.soabi.caps.earlink

Verified fixed with NB 6.1 with Patch 4 applied.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo